Activant Atom 1.0 al WordPress

Ahir me va pegar per validar el blog amb els distints validadors que hi ha. Valida com a XHTML 1.0 Strict, les CSS també validen els Feed RSS també validen, però l’Atom no. Oh Wait!!

En el validador me sortia un missatge que deia el següent: “line 1, column 38: This feed uses an obsolete namespace” i aun altre lloc diu “Atom 0.3 Support Deprecated”. Vaig decidir investigar. A la pròpia web del validador hi ha un enllaç on t’explica el problema que tens i a més com ho pots solucionar. Hi ha vàries maneres, inserir un plug-in o un pegat al WordPress.

M’he decidit pel plug-in de Benjamin Smedberg, es molt simple d’instal·lar, com tots els plug-ins de WordPress. Simplement descomprimim el fitxer i copiam el contingut a wp-content/plugins, llavors anam al panell d’administració del nostre blog, a la secció plug-ins i l’activam.

Una vegada activat TOTS els feeds passen a ATOM 1.0.

Una vegada fet això ja valída com a Atom 1.0.

Vos pas a detallar els llocs on he trobat informació sobre aquest tema, fins i tot hi ha un rfc, concretament el RFC4287, el qual descriu l’estructura de l’àtom.

Llavors hi ha el validador, sense el qual no m’hagués donat compte que no validava, és el FeedValidator. Llavors hi ha dues webs que he trobat on donaven sol·lucio, una es la del plug-in de Benjamin Smedberg, i l’altre és snellspace.com on l’autor ha desenvolupat un pegat. Te dues versions, una per PHP5 i un hack que li feren per poder correr amb versions inferiors. Com a darrer terme, però per això no pitjor, es la web AtomEnabled on expliquen que és atom, per a que serveix, qui ho fa servir, etc..

Perdonau les molèsties que pugui ocasionar en els vostres lectors de feed, aquest blog ara passa a Atom 1.0

Atualització:M’he refet, deixaré així com estava abans, ja que pareix que hi ha problemes. No es visualitza correctament.